Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.persistence
Interface Persister

    public interface Persister

This interface is used to customize how Behavior Tracking events are persisted. The default implementation of this interface (com.bea.p13n.tracking.internal.persistence.BehaviorTrackingPersister) persists events to a database. It is possible to provide a new implementation of this interface that persists events to a file, a JMS queue, an XML database, etc. To change which implementation of Persister is used by the Behavior Tracking service, navigate to the Behavior Tracking area of your portal application in the WebLogic console (under Service Configuration). Put the fully qualified classname in the "Persistence Classname" field. To deploy an implementation of this interface, you must: 1) deploy the class at the enterprise application level. An easy way to do this is to add the class to an existing EJB JAR file. 2) use the Behavior Tracking pane of the WebLogic console and set the classname into the "Persistence Classname" box.

Since:
  Public since WebLogic Portal version 7.0 SP3

Method Summary
`void` | `persist(List theEvents)` The Behavior Tracking service buffers Event objects until a threshold has been exceeded.

Method Detail

### persist

    void persist(List theEvents)

  The Behavior Tracking service buffers Event objects until a threshold has been exceeded. A threshold may be time based or based on buffer size. Thresholds are defined in the WebLogic console in the Behavior Tracking section. Flushing of the buffer causes this method to be called on everything in the buffer. It is expected that the implementation of this interface will persist the List of Event objects passed to it.

  Parameters
    `theEvents` - a List of the Event objects to be flushed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.